Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035957
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersminorhave not tried2017-05-09 11:332019-01-10 18:54
ReporterplujanView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision48d02ee91c5b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035957: [RR17Q2] On session restart is possible to create a Gift Card with NULL identifier

DescriptionWhen purchasing a new Gift Card, there are some mandatory values to fill in the pop up that is shown.
However, if the session restarts before filling the fields, the pop up can be ignored and the Card can be created with the identifier as null.
Steps To Reproduce1. In an environment with Gift Cards configured, purchase a Card by adding it to a ticket.
2. A pop up window is shown, with several field to fill in. Leave all the fields blank. Note that it is not possible to continue with the ticket payment if ID is left blank (i.e. closing the window will remove the card from the ticket)
3. Restart the session (i.e. an automatic refresh is triggered or F5 key is pressed)
4. When the main screen is back, note that the Card is still in the ticket (as expected) but now you can pay the ticket. As a result, the ID is null and the Card cannot be used later (since it cannot be retrieved)
Proposed SolutionAn extra validation on the payment in case any mandatory field is missing.
TagsNo tags attached.
Attached Filesdiff file icon Issue35957-posterminalpatch.diff [^] (2,447 bytes) 2018-12-28 14:52 [Show Content]
diff file icon Issue35957-giftcardpatch.diff [^] (1,804 bytes) 2018-12-28 14:53 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0039923RR19Q1 closedrqueralta [RR17Q2] On session restart is possible to create a Gift Card with NULL identifier 

-  Notes
(0098083)
hgbot (developer)
2017-07-14 16:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eb8300a2bded68ad31d11745f8628ff8f4eaec51
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Jul 12 16:00:32 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb8300a2bded68ad31d11745f8628ff8f4eaec51 [^]

Fixed issue 35957: [RR17Q2] On session restart is possible to create a Gift Card
with NULL identifier

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0098313)
marvintm (developer)
2017-08-01 17:10

There should not be any reference to an external module inside Openbravo Core.

Maybe some hook can be used to add the code which identifies the incorrect gift card from the gift cards module.
(0098355)
hgbot (developer)
2017-08-02 20:50

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: e95e9031c47a8e68f42a5303cb29bbe3cb676bb6
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Aug 01 14:48:55 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/e95e9031c47a8e68f42a5303cb29bbe3cb676bb6 [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

---
M src/org/openbravo/retail/giftcards/GCNVComponentProvider.java
A web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0098356)
hgbot (developer)
2017-08-02 20:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3332726ef706bbad6cbde1c4d4c6764e8a45e0ba
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Aug 01 14:47:53 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3332726ef706bbad6cbde1c4d4c6764e8a45e0ba [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0098401)
hgbot (developer)
2017-08-04 20:29

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 962920984311518aa5f0c0916e8ea338d9257bd4
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Fri Aug 04 13:56:53 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/962920984311518aa5f0c0916e8ea338d9257bd4 [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0098402)
hgbot (developer)
2017-08-04 20:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 36d70d0b528739ab0ee42d412a44651a029c16ee
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Fri Aug 04 13:58:41 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36d70d0b528739ab0ee42d412a44651a029c16ee [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0108818)
hgbot (developer)
2019-01-03 18:46

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 275234a26f290c1ab60f82d8e733e6c2ccbe388b
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Dec 27 13:45:39 2018 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/275234a26f290c1ab60f82d8e733e6c2ccbe388b [^]

Fixed issue 35957: [RR17Q2] On session restart is possible to create a Gift Card
with NULL identifier

- Removed lines without mandatory filds filled

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0108819)
hgbot (developer)
2019-01-03 18:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b779460e44b40383bc7c26808202744ec0cc90d6
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Dec 27 13:48:05 2018 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b779460e44b40383bc7c26808202744ec0cc90d6 [^]

Fixed issue 35957: [RR17Q2] On session restart is possible to create a Gift Card
with NULL identifier

- Removed lines without mandatory filds filled

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0108820)
hgbot (developer)
2019-01-03 19:03

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: e8ac69cb455a372875099b964aeb5ce180121c51
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jan 03 13:03:13 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/e8ac69cb455a372875099b964aeb5ce180121c51 [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0108829)
guilleaer (developer)
2019-01-04 11:00

1. Several tickets with GC without id -> only first is deleted
2. deleteLinesFromOrder asynchronize is not being managed
3. Actions which should wait to hook response should be executed in the callback of the hook
(0108835)
hgbot (developer)
2019-01-04 13:54

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: b4486c2e01611caa9ef2b87b98d2b5a752422a79
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jan 04 07:53:55 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/b4486c2e01611caa9ef2b87b98d2b5a752422a79 [^]

Fixed issue 35957: [RR17Q2] On session restart is possible to create a Gift Card
with NULL identifier

- Removed lines without mandatory filds filled

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---
(0108836)
hgbot (developer)
2019-01-04 13:55

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 48d02ee91c5bd3994c5a55af0ea7e9ff99efdc14
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jan 04 07:53:35 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/48d02ee91c5bd3994c5a55af0ea7e9ff99efdc14 [^]

Fixed issue 35957: [RR17Q2] On session restart is possible to create a Gift Card
with NULL identifier

- Removed lines without mandatory filds filled

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0108838)
hgbot (developer)
2019-01-04 18:35

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 916029931068dc70c739d41da834917a41f7de5e
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jan 04 12:27:13 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/916029931068dc70c739d41da834917a41f7de5e [^]

Related to issue 35957: [RR17Q2] On session restart is possible to create a Gift
Card with NULL identifier

- Updated Copyright and changed _.isUndefined function by OB.UTIL.isNullOrUndefined

---
M web/org.openbravo.retail.giftcards/js/hooks/checkGiftCardMandatoryFields.js
---

- Issue History
Date Modified Username Field Change
2017-05-09 11:33 plujan New Issue
2017-05-09 11:33 plujan Assigned To => Retail
2017-05-09 11:33 plujan Triggers an Emergency Pack => No
2017-07-13 15:40 rqueralta Assigned To Retail => rqueralta
2017-07-14 16:22 hgbot Checkin
2017-07-14 16:22 hgbot Note Added: 0098083
2017-07-14 16:22 hgbot Status new => resolved
2017-07-14 16:22 hgbot Resolution open => fixed
2017-07-14 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb8300a2bded68ad31d11745f8628ff8f4eaec51 [^]
2017-08-01 17:10 marvintm Note Added: 0098313
2017-08-01 17:10 marvintm Status resolved => new
2017-08-01 17:10 marvintm Resolution fixed => open
2017-08-02 20:50 hgbot Checkin
2017-08-02 20:50 hgbot Note Added: 0098355
2017-08-02 20:53 hgbot Checkin
2017-08-02 20:53 hgbot Note Added: 0098356
2017-08-04 20:29 hgbot Checkin
2017-08-04 20:29 hgbot Note Added: 0098401
2017-08-04 20:41 hgbot Checkin
2017-08-04 20:41 hgbot Note Added: 0098402
2018-12-28 14:52 rqueralta File Added: Issue35957-posterminalpatch.diff
2018-12-28 14:53 rqueralta File Added: Issue35957-giftcardpatch.diff
2019-01-03 18:46 hgbot Checkin
2019-01-03 18:46 hgbot Note Added: 0108818
2019-01-03 18:46 hgbot Status new => resolved
2019-01-03 18:46 hgbot Resolution open => fixed
2019-01-03 18:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb8300a2bded68ad31d11745f8628ff8f4eaec51 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/275234a26f290c1ab60f82d8e733e6c2ccbe388b [^]
2019-01-03 18:47 hgbot Checkin
2019-01-03 18:47 hgbot Note Added: 0108819
2019-01-03 18:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/275234a26f290c1ab60f82d8e733e6c2ccbe388b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b779460e44b40383bc7c26808202744ec0cc90d6 [^]
2019-01-03 19:03 hgbot Checkin
2019-01-03 19:03 hgbot Note Added: 0108820
2019-01-04 11:00 guilleaer Note Added: 0108829
2019-01-04 11:00 guilleaer Status resolved => new
2019-01-04 11:00 guilleaer Resolution fixed => open
2019-01-04 11:27 guilleaer Status new => scheduled
2019-01-04 13:54 hgbot Checkin
2019-01-04 13:54 hgbot Note Added: 0108835
2019-01-04 13:54 hgbot Status scheduled => resolved
2019-01-04 13:54 hgbot Resolution open => fixed
2019-01-04 13:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b779460e44b40383bc7c26808202744ec0cc90d6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/b4486c2e01611caa9ef2b87b98d2b5a752422a79 [^]
2019-01-04 13:55 hgbot Checkin
2019-01-04 13:55 hgbot Note Added: 0108836
2019-01-04 13:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/b4486c2e01611caa9ef2b87b98d2b5a752422a79 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/48d02ee91c5bd3994c5a55af0ea7e9ff99efdc14 [^]
2019-01-04 18:35 hgbot Checkin
2019-01-04 18:35 hgbot Note Added: 0108838
2019-01-07 11:08 guilleaer Review Assigned To => guilleaer
2019-01-07 11:08 guilleaer Status resolved => closed
2019-01-07 11:08 guilleaer Fixed in Version => RR19Q2
2019-01-10 18:51 gorka_gil Status closed => new
2019-01-10 18:51 gorka_gil Resolution fixed => open
2019-01-10 18:51 gorka_gil Fixed in Version RR19Q2 =>
2019-01-10 18:52 gorka_gil Status new => scheduled
2019-01-10 18:52 gorka_gil Status scheduled => resolved
2019-01-10 18:52 gorka_gil Resolution open => fixed
2019-01-10 18:52 gorka_gil Status resolved => closed
2019-01-10 18:54 gorka_gil Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker